package com.blazinggames.cqfs.converse
{
	// Adobe Imports
	import flash.events.IEventDispatcher;
	
	/**
	 * The interface for the standard converse dialog class.
	 *
	 * @author Billy D. Spelchan
	 * @version 1.0
	 * Copyright (c) 2007 Blazing Games Inc. All Rights Reserved.
	*/
	public interface IDialog
	extends IEventDispatcher
	{
// ****************************************
// ***** Functions - IDialog required *****
// ****************************************

		function showDialog(s:String, quickly:Boolean=false, dtype:int=0):void;
		function hideDialog():void;
		function isShowing():Boolean;

	} // end interface
} // end package

