package com.blazinggames.cqfs.converse
{

	/**
	 * This early version of this class is essentially a glorified structure, 
	 * though future versions may have more functionality.
	 * @author Billy D. Spelchan
	 * @version 0.5
	 * Copyright (c) 2007 Blazing Games Inc. All Rights Reserved.
	*/
	public class ConversationTopic
	{
		// ***** VARIABLES ***************************************************

		public var topicType:int;
		public var topic:String;
		public var subjectType:int;
		public var subject:String;
		public var text:String;
		public var showQuery:String;
		public var displayCommands:Array;
		public var subtopics:Array;

		// ***** CONSTRUCTOR *************************************************

		public function ConversationTopic(
				sTopic:String = "None", 
				sSubject:String = "No Subject", 
				sText:String = "This topic is about nothing",
				nType:int = 1,
				nSubType:int = 1,
				sShowQuery:String = "ISFLAGSET TRUE",
				aDisplayCommands:Array = null, 
				aSubtopics:Array = null )
		{
			topicType = nType;
			topic = sTopic;
			subject = sSubject;
			subjectType = nSubType;
			text = sText;
			showQuery = sShowQuery;
			displayCommands = aDisplayCommands;
			subtopics = aSubtopics;
		}

	} // end class
} // end package

