package com.blazinggames.cqfs.converse
{
	// Adobe Imports
	import flash.events.IEventDispatcher;
	
	/**
	 * The interface for the standard converse response class.
	 *
	 * @author Billy D. Spelchan
	 * @version 1.0
	 * Copyright (c) 2007 Blazing Games Inc. All Rights Reserved.
	*/
	public interface IResponse
	extends IEventDispatcher
	{
// ****************************************
// ***** Functions - IDialog required *****
// ****************************************

		function showResponse(s:String, rCode:int,
				quickly:Boolean=false, dtype:int=0):void;
		function hideResponse():void;
		function isShowing():Boolean;
		function getResultCode():int;
	} // end interface
} // end package

