package com.blazinggames.ootw.ep33
{

	import flash.display.MovieClip;
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.geom.Matrix;
	import flash.geom.Rectangle;

	/**
	 *
	 * @author Billy D. Spelchan
	 * @version 1.0
	 * Copyright (c) 2007 Blazing Games Inc. All Rights Reserved.
	*/
	public class VectorClip
	extends Bitmap
	{
// *********************
// ***** CONSTANTS *****
// *********************

// *********************
// ***** VARIABLES *****
// *********************

		protected var _pic:MovieClip;
		protected var _clip:Rectangle;

// ***********************
// ***** CONSTRUCTOR *****
// ***********************

		public function VectorClip(w:int, h:int)
		{
			bitmapData = new BitmapData(w,h,true, 0xFFFFFF);
		}

// ***************************************
// ***** Functions - General control *****
// ***************************************

		public function setImage(img:MovieClip)
		{
			trace("Setting image");
			_pic = img;
		}

		public function setClip(rect:Rectangle)
		{
			trace("setting clip");
			_clip = rect;
			trace("drawing clip");
			var m:Matrix = new Matrix();
			m.translate(-rect.x, -rect.y);
			bitmapData.draw(_pic, m);
		}
	} // end class
} // end package
